# BIJ1 CiviCRM

## Requirements

- [Docker](https://docker.com/)
- [Docker Compose](https://docs.docker.com/compose/install/)
- [Git](https://git-scm.com/)
- [GNU Make](https://www.gnu.org/software/make/)

## local usage

### run

```bash
make build-dev
make start
sleep 2  # give the containers time to spin up
make reset-db
make install
# http://localhost/wp-admin/admin.php?page=CiviCRM
# civi
# password123
```

### `podman`

One can use Podman Compose over Docker Compose using:
`make COMPOSE="podman-compose"`

### Logs

logs may be found at:
`/var/lib/docker/volumes/civicrm-bij1_civi-data/_data/wp-content/uploads/civicrm/ConfigAndLog/`

### Database

```sh
docker-compose exec db bash -c "mysql -h localhost -u civi -p'password123' civi_crm"
```

### Troubleshooting

#### `Can't connect to MySQL server on 'db'`

If you just spinned up the container cluster,
wait a few seconds before running `make install`.

## remote

### publish image
(handled in CI)

### deploy

Due to Docker Swarm deployment doesn't work with Podman symlinking.

On the server, after configuring a `deploy/staging/env` from `deploy/staging/env.sample`, run:

```bash
make build
docker swarm init
docker stack deploy -c ./deploy/staging/stack.yml civi
docker stack ps civi
docker stack rm civi
```
